%global checkout 365e80c

Name:		linux-firmware
Version:	20140911
Release:	0.1.git%{checkout}.0.7%{?dist}
Summary:	Firmware files used by the Linux kernel

Group:		System Environment/Kernel
License:	GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
URL:		https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
# Source0 creation: "git archive --format=tar [gitid] | gzip > [srcdir]/%{name}-%{version}.tar.gz"
Source0:	%{name}-%{version}.tar.gz
# Added by Oracle
Source1:        ql2400_fw.bin
Source2:        ql2500_fw.bin
Source3:	bnx2x-e1-7.12.30.0.fw
Source4:	bnx2x-e1h-7.12.30.0.fw
Source5:	bnx2x-e2-7.12.30.0.fw

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Provides:	kernel-firmware = %{version} xorg-x11-drv-ati-firmware = 7.0
Obsoletes:	kernel-firmware < %{version} xorg-x11-drv-ati-firmware <= 6.13.0-0.22
Obsoletes:	ueagle-atm4-firmware <= 1.0-5
Obsoletes:	netxen-firmware <= 4.0.534-9
Obsoletes:	ql2100-firmware <= 1.19.38-7
Provides:	ql2100-firmware <= 1.19.38-7
Obsoletes:	ql2200-firmware <= 2.02.08-7
Provides:	ql2200-firmware <= 2.02.08-7
Obsoletes:	ql23xx-firmware <= 3.03.28-5
Provides:	ql23xx-firmware <= 3.03.28-5
Obsoletes:	ql2400-firmware < 8.02.00-1.0.1
Provides:	ql2400-firmware = 8.02.00-1.0.1
Obsoletes:	ql2500-firmware < 8.02.00-1.0.1
Provides:	ql2500-firmware = 8.02.00-1.0.1
Obsoletes:	rt61pci-firmware <= 1.2-11
Obsoletes:	rt73usb-firmware <= 1.8-11
Obsoletes:	bfa-firmware <= 3.2.21.1-1

%define fwdir /lib/firmware

%description
Kernel-firmware includes firmware files required for some devices to
operate.

%prep
#setup -q -n linux-firmware-#{checkout}
%setup -q -c -n linux-firmware-%{checkout}

%build
# Remove firmware shipped in separate packages already
# Perhaps these should be built as subpackages of linux-firmware?
rm -rf ess korg sb16 yamaha
# And _some_ conexant firmware.
rm v4l-cx23418-apu.fw v4l-cx23418-cpu.fw v4l-cx23418-dig.fw v4l-cx25840.fw

# Remove source files we don't need to install
rm -f usbdux/*dux */*.asm
rm -rf carl9170fw
rm -rf iwlwifi*.ucode
rm -rf LICENSE.amd-ucode amd-ucode

# Oracle updates for UEK3 QU2
cp %{SOURCE1} .
cp %{SOURCE2} .

# Oracle updates for UEK4
mkdir -p bnx2x/
cp %{SOURCE3} bnx2x/
cp %{SOURCE4} bnx2x/
cp %{SOURCE5} bnx2x/

# Remove firmware images for WiFi & WiMax drivers not compiled in RHEL7 kernel
rm -rf ath6k
rm -rf ti-connectivity
rm -rf libertas
rm -f mrvl/sd8688.bin
rm -f mrvl/sd8688_helper.bin
rm -rf mwl8k
rm -f i2400m-fw-usb-1.4.sbcf
rm -f i2400m-fw-usb-1.5.sbcf
rm -f i6050-fw-usb-1.5.sbcf

# Remove images for vxge, we do not provide that driver in RHEL7 kernel
rm -rf vxge

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fwdir}
mkdir -p $RPM_BUILD_ROOT%{fwdir}/updates
cp -r * $RPM_BUILD_ROOT%{fwdir}
rm $RPM_BUILD_ROOT%{fwdir}/{WHENCE,LICENCE.*,LICENSE.*}

# Create file list but exclude firmwares that we place in subpackages
FILEDIR=`pwd`
pushd $RPM_BUILD_ROOT%{fwdir}
find . \! -type d > $FILEDIR/linux-firmware.files
find . -type d | sed -e '/^.$/d' > $FILEDIR/linux-firmware.dirs
popd
sed -i -e 's:^./::' linux-firmware.{files,dirs}
sed -i -e 's/^/\/lib\/firmware\//' linux-firmware.{files,dirs}
sed -e 's/^/%%dir /' linux-firmware.dirs >> linux-firmware.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f linux-firmware.files
%defattr(-,root,root,-)
%dir %{fwdir}
%dir %{fwdir}/updates
%doc WHENCE LICENCE.* LICENSE.*

%changelog
* Wed Oct 22 2015 Dan Duval <dan.duval@oracle.com> - 20140911-0.1.git365e80c.0.7
- add bnx2x firmware at version 7.12.30.0 [Orabug 22066196]

* Fri Oct 16 2015 Dan Duval <dan.duval@oracle.com> - 20140911-0.1.git365e80c.0.6
- update ql2400-firmware to 8.02.00-1.0.1 [orabug 22003659]
- update ql2500-firmware to 8.02.00-1.0.1 [orabug 22003659]

* Thu Oct 15 2015 Chuck Anderson <chuck.anderson@oracle.com> - 20140911-0.1.git365e80c.0.5
- add "Provides" for the ql* packages required by ovs-release.
- remove amd-ucode firmware packages.
- remove iwl* firmware packages [orabug 21879683]

* Thu Oct 08 2015 Chuck Anderson <chuck.anderson@oracle.com> - 20140911-0.1.git365e80c.0.4
- set fwdir value to /lib/firmware [orabug 21879683]

* Wed Oct 07 2015 Chuck Anderson <chuck.anderson@oracle.com> - 20140911-0.1.git365e80c.0.3
- add "Provides" for ql23xx-firmware 3.03.28-5 [orabug 21879683]

* Tue Jun 23 2015 Dan Duval <dan.duval@oracle.com> - 20140911-0.1.git365e80c.0.2
- Update ql2400 fw to 8.07.00-18.39.0K [orabug 21241070] (Dan Duval)
- update ql2500 fw to 8.07.00-18.39.0K [orabug 21241070] (Dan Duval)

* Wed Dec 17 2014 Jacob Wang <jacob.wang@oracle.com> - 20140911-0.1.git365e80c.0.1
- Update ql2400 fw to 7.04.00 [orabug 19884253] (Guangyu Sun)
- Update ql2500 fw to 7.05.00 [orabug 19884253] (Guangyu Sun)
- Update ql2400 and ql2500 fw to 7.03.00 [orabug 18640045] (Jerry Snitselaar)
- Allow amd-ucode to load. Let's find out what bug 1007411 is. [orabug: 18520524] (Vaughan Cao)

* Thu Sep 11 2014 Jarod Wilson <jarod@redhat.com> - 20140911-0.1.git365e80c
- Update to latest upstream linux-firmware image for assorted updates
- Adds Intel Quick Assist Technology firmware (rhbz 1127338)
- Updates bnx2x adapter firmware to version 7.10.51 (rhbz 1089403)
- Updates myri10ge adapter firmware to version 1.4.57 (rhbz 1063702)
- Removes firmware for drivers not shipped with Red Hat Enterprise Linux 7 (rhbz 1016595)

* Mon Aug 04 2014 Jarod Wilson <jarod@redhat.com> - 20140804-0.1.git6bce2b0
- Update to latest linux-firmware to pick up new Qlogic firmware (rhbz 1089364)

* Mon Mar 24 2014 Prarit Bhargava <prarit@redhat.com> - 20140213-0.3.git4164c23
- Revert AMD firmware update again (rhbz 1079114)

* Tue Mar 11 2014 Jarod Wilson <jarod@redhat.com> - 20140213-0.2.git4164c23
- Restore amd-ucode (rhbz 866700)

* Thu Feb 13 2014 Jarod Wilson <jarod@redhat.com> - 20140213-0.1.git4164c23
- Add bnx2x FW 7.8.19 to fix FCoE on 4-port cards (rhbz 1061351)

* Tue Jan 07 2014 Jarod Wilson <jarod@redhat.com> - 20140102-0.2.git52d77db
- Fix Obsoletes for iwl100-firmware (rhbz 1035459)

* Thu Jan 02 2014 Jarod Wilson <jarod@redhat.com> - 20140102-0.1.git52d77db
- Update to latest linux-firmware to pick up new Brocade firmware (rhbz 1030677)

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 20131106-0.4.git7d0c7a8
- Mass rebuild 2013-12-27

* Tue Dec 03 2013 Jarod Wilson <jarod@redhat.com> - 20131106-0.3.git7d0c7a8
- Add new fwdir define for /usr/lib/firmware and use it (rhbz 884107)

* Thu Nov 14 2013 Jarod Wilson <jarod@redhat.com> - 20131106-0.2.git7d0c7a8
- Temporarily add old brocade firmwares to work with not-yet-updated bfa driver (rhbz 1030532)

* Wed Nov 06 2013 Jarod Wilson <jarod@redhat.com> - 20131106-0.1.git7d0c7a8
- Update to latest upstream linux-firmware to pick up bfa firmware (rhbz 1013426)
- Fix up Obsoletes to all use <= comparisons

* Fri Sep 20 2013 Jarod Wilson <jarod@redhat.com> - 20130820-0.4.git600caef
- Drop amd-ucode to avoid bug 1007411 for now

* Tue Aug 20 2013 Jarod Wilson <jarod@redhat.com> - 20130820-0.3.git600caef
- Put in proper URL and URL-less Source0 location, and a note about how
  we generate the tarball by hand from a git tree

* Tue Aug 20 2013 Jarod Wilson <jarod@redhat.com> - 20130820-0.2.git600caef
- Fix up build breakage from split nvr for iwlwifi

* Tue Aug 20 2013 Jarod Wilson <jarod@redhat.com> - 20130820-0.1.git600caef
- Update to latest upstream git tree

* Thu Apr 18 2013 Josh Boyer <jwboyer@redhat.com> - 20130418-0.1.gitb584174
- Update to latest upstream git tree

* Tue Mar 19 2013 Josh Boyer <jwboyer@redhat.com>
- Own the firmware directories (rhbz 919249)

* Thu Feb 21 2013 Josh Boyer <jwboyer@redhat.com> - 20130201-0.4.git65a5163
- Obsolete netxen-firmware.  Again.  (rhbz 913680)

* Mon Feb 04 2013 Josh Boyer <jwboyer@redhat.com> - 20130201-0.3.git65a5163
- Obsolete ql2[45]00-firmware packages (rhbz 906898)
 
* Fri Feb 01 2013 Josh Boyer <jwboyer@redhat.com> 
- Update to latest upstream release
- Provide firmware for carl9170 (rhbz 866051)

* Wed Jan 23 2013 Ville Skyttä <ville.skytta@iki.fi> - 20121218-0.2.gitbda53ca
- Own subdirs created in /lib/firmware (rhbz 902005)

* Wed Jan 23 2013 Josh Boyer <jwboyer@redhat.com>
- Correctly obsolete the libertas-usb8388-firmware packages (rhbz 902265)

* Tue Dec 18 2012 Josh Boyer <jwboyer@redhat.com>
- Update to latest upstream.  Adds brcm firmware updates

* Wed Oct 10 2012 Josh Boyer <jwboyer@redhat.com>
- Consolidate rt61pci-firmware and rt73usb-firmware packages (rhbz 864959)
- Consolidate netxen-firmware and ql2[123]xx-firmware packages (rhbz 864959)

* Tue Sep 25 2012 Josh Boyer <jwboyer@redhat.com>
- Update to latest upstream.  Adds marvell wifi updates (rhbz 858388)

* Tue Sep 18 2012 Josh Boyer <jwboyer@redhat.com>
- Add patch to create libertas subpackages from Daniel Drake (rhbz 853198)

* Fri Sep 07 2012 Josh Boyer <jwboyer@redhat.com> 20120720-0.2.git7560108
- Add epoch to iwl1000 subpackage to preserve upgrade patch (rhbz 855426)

* Fri Jul 20 2012 Josh Boyer <jwboyer@redhat.com> 20120720-0.1.git7560108
- Update to latest upstream.  Adds more realtek firmware and bcm4334

* Tue Jul 17 2012 Josh Boyer <jwboyer@redhat.com> 20120717-0.1.gitf1f86bb
- Update to latest upstream.  Adds updated realtek firmware

* Thu Jun 07 2012 Josh Boyer <jwboyer@redhat.com> 20120510-0.5.git375e954
- Bump release to get around koji

* Thu Jun 07 2012 Josh Boyer <jwboyer@redhat.com> 20120510-0.4.git375e954
- Drop udev requires.  Systemd now provides udev

* Tue Jun 05 2012 Josh Boyer <jwboyer@redhat.com> 20120510-0.3.git375e954
- Fix location of BuildRequires so git is inclued in the buildroot
- Create iwlXXXX-firmware subpackages (rhbz 828050)

* Thu May 10 2012 Josh Boyer <jwboyer@redhat.com> 20120510-0.1.git375e954
- Update to latest upstream.  Adds new bnx2x and radeon firmware

* Wed Apr 18 2012 Josh Boyer <jwboyer@redhat.com> 20120418-0.1.git85fbcaa
- Update to latest upstream.  Adds new rtl and ath firmware

* Wed Mar 21 2012 Dave Airlie <airlied@redhat.com> 20120206-0.3.git06c8f81
- use git to apply the radeon firmware

* Wed Mar 21 2012 Dave Airlie <airlied@redhat.com> 20120206-0.2.git06c8f81
- add radeon southern islands/trinity firmware

* Tue Feb 07 2012 Josh Boyer <jwboyer@redhat.com> 20120206-0.1.git06c8f81
- Update to latest upstream git snapshot.  Fixes rhbz 786937

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110731-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 04 2011 Tom Callaway <spot@fedoraproject.org> 20110731-2
- resolve conflict with netxen-firmware

* Wed Aug 03 2011 David Woodhouse <dwmw2@infradead.org> 20110731-1
- Latest firmware release with v1.3 ath9k firmware (#727702)

* Sun Jun 05 2011 Peter Lemenkov <lemenkov@gmail.com> 20110601-2
- Remove duplicated licensing files from /lib/firmware

* Wed Jun 01 2011 Dave Airlie <airlied@redhat.com> 20110601-1
- Latest firmware release with AMD llano support.

* Thu Mar 10 2011 Dave Airlie <airlied@redhat.com> 20110304-1
- update to latest upstream for radeon ni/cayman, drop nouveau fw we don't use it anymore

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110125-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 David Woodhouse <dwmw2@infradead.org> 20110125-1
- Update to linux-firmware-20110125 (new bnx2 firmware)

* Fri Jan 07 2011 Dave Airlie <airlied@redhat.com> 20101221-1
- rebase to upstream release + add new radeon NI firmwares.

* Thu Aug 12 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 20100806-4
- Really obsolete ueagle-atm4-firmware

* Thu Aug 12 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 20100806-3
- Obsolete ueagle-atm4-firmware

* Fri Aug 06 2010 David Woodhouse <dwmw2@infradead.org> 20100806-2
- Remove duplicate radeon firmwares; they're upstream now

* Fri Aug 06 2010 David Woodhouse <dwmw2@infradead.org> 20100806-1
- Update to linux-firmware-20100806 (more legacy firmwares from kernel source)

* Fri Apr 09 2010 Dave Airlie <airlied@redhat.com> 20100106-4
- Add further radeon firmwares

* Wed Feb 10 2010 Dave Airlie <airlied@redhat.com> 20100106-3
- add radeon RLC firmware - submitted upstream to dwmw2 already.

* Tue Feb 09 2010 Ben Skeggs <bskeggs@redhat.com> 20090106-2
- Add firmware needed for nouveau to operate correctly (this is Fedora
  only - do not upstream yet - we just moved it here from Fedora kernel)

* Wed Jan 06 2010 David Woodhouse <David.Woodhouse@intel.com> 20090106-1
- Update

* Fri Aug 21 2009 David Woodhouse <David.Woodhouse@intel.com> 20090821-1
- Update, fix typos, remove some files which conflict with other packages.

* Thu Mar 19 2009 David Woodhouse <David.Woodhouse@intel.com> 20090319-1
- First standalone kernel-firmware package.
